---
# OctoDNS Configuration
# Manages Cloudflare DNS zones via Git

manager:
  max_workers: 2

providers:
  config:
    class: octodns.provider.yaml.YamlProvider
    directory: ./zones
    default_ttl: 300
    enforce_order: true
    # Allow unescaped semicolons in TXT records (e.g., DMARC)
    escaped_semicolons: false
  
  cloudflare:
    class: octodns_cloudflare.CloudflareProvider
    # Authentication via environment variable: CLOUDFLARE_TOKEN
    # Must have Zone:Read and DNS:Edit permissions
    token: env/CLOUDFLARE_TOKEN

zones:
  cultborn.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultreel.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultroll.app.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultroll.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultroll.net.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultroll.org.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultscale.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultscale.net.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultscale.org.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultsonic.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultsync.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  cultshot.com.:
    sources:
      - config
    targets:
      - cloudflare
  
  yusi.app.:
    sources:
      - config
    targets:
      - cloudflare
  
  yusiapp.com.:
    sources:
      - config
    targets:
      - cloudflare
# ci-trigger: 2026-02-10T12:25:31Z - triggered by copilot
